Get Schedule
curl --request GET \
--url https://api.engrate.io/schedule-management/v1/schedules/{uid} \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/schedule-management/v1/schedules/{uid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/schedule-management/v1/schedules/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/schedule-management/v1/schedules/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/schedule-management/v1/schedules/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/schedule-management/v1/schedules/{uid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/schedule-management/v1/schedules/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_ts": "2026-03-25T14:00:00+00:00",
"date": "2026-03-26",
"last_modified_ts": "2026-03-25T16:30:00+00:00",
"market": "DE",
"org_uid": "9b2e4d8f-1c3a-4f5e-8d7b-6a9e0f2c1b3d",
"tso": "50HERTZ_DE_TSO",
"uid": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Schedule Management
Get Schedule
Get a specific Schedule by UID.
GET
/
schedule-management
/
v1
/
schedules
/
{uid}
Get Schedule
curl --request GET \
--url https://api.engrate.io/schedule-management/v1/schedules/{uid} \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/schedule-management/v1/schedules/{uid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/schedule-management/v1/schedules/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/schedule-management/v1/schedules/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/schedule-management/v1/schedules/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/schedule-management/v1/schedules/{uid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/schedule-management/v1/schedules/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_ts": "2026-03-25T14:00:00+00:00",
"date": "2026-03-26",
"last_modified_ts": "2026-03-25T16:30:00+00:00",
"market": "DE",
"org_uid": "9b2e4d8f-1c3a-4f5e-8d7b-6a9e0f2c1b3d",
"tso": "50HERTZ_DE_TSO",
"uid": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Path Parameters
Schedule unique identifier.
Response
Successful Response
A Schedule header representing a single delivery-date submission to a TSO.
ISO 8601 datetime when the schedule was created.
Example:
"2026-03-25T14:00:00+00:00"
Delivery date in ISO 8601 format (YYYY-MM-DD).
Example:
"2026-03-26"
ISO 8601 datetime of the most recent modification.
Example:
"2026-03-25T16:30:00+00:00"
Target market. DE for Germany, NL for the Netherlands.
Examples:
"DE"
"NL"
Organization that owns this schedule.
Example:
"9b2e4d8f-1c3a-4f5e-8d7b-6a9e0f2c1b3d"
Transmission System Operator identifier.
Examples:
"50HERTZ_DE_TSO"
"DE-AMPRION-TSO"
"TTG_DE"
"DE-TRANSNETBWTSO"
"TENNET_TSO"
Unique identifier for this schedule.
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Was this page helpful?